#ifndef USBHIDPROTOCOL_H_
#define USBHIDPROTOCOL_H_
/* Command list */
// Devices verifies with same CMD and optional data

// System commands
	#define CMD_SYS_CHECK				0x00	// Args: return version
	#define CMD_SYS_RESET				0xFF	// Args: bool softreset

// Miscellaneous
	#define CMD_LED_OFF					0x10	// Args, int led 1..4
	#define CMD_LED_ON					0x11	// Args, int led 1..4

// Digital input commands
	#define CMD_READ_DIG_INPUT			0x20	// Args, int channel, return int
	#define CMD_READ_ALL_DIG_INPUTS		0x21	// No args, return int
	
// Digital output commands
	#define CMD_READ_DIG_OUTPUT			0x22	// Args, int channel, return int
	#define CMD_READ_ALL_DIG_OUTPUTS	0x23	// No args, return int
	#define CMD_WRITE_DIG_OUTPUT		0x24	// Args, int channel
	#define CMD_WRITE_ALL_DIG_OUTPUTS	0x25	// Args, int output value

// Analog input command
	#define CMD_READ_ANALOG_INPUT		0x30	// Args, int channel, return int

// Analog output command
	#define CMD_WRITE_ANALOG_OUTPUT		0x31	// Args, int value
	
#endif //USBHIDPROTOCOL_H_

